# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    if not isdir("/Applications/ldapadmin.app/Contents/MacOS"):
        mkdirs("/Applications/ldapadmin.app/Contents/MacOS")
    filecopyto("LdapAdmin", "/Applications/ldapadmin.app/Contents/MacOS/LdapAdmin")
    run("chmod 755 /Applications/ldapadmin.app/Contents/MacOS/LdapAdmin")
    with open("/Applications/ldapadmin.app/Contents/Info.plist", "w") as f:
        f.write(info_plist % control.get_software_version())


def uninstall():
    if isdir("/Applications/ldapadmin.app"):
        remove_tree("/Applications/ldapadmin.app")


def audit():
    if not isfile("/Applications/ldapadmin.app/Contents/MacOS/LdapAdmin"):
        print("erreur file not found")
        return "ERROR"
    else:
        return "OK"


info_plist = r"""<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
    <key>CFBundleName</key>
    <string>LdapAdmin</string>
        <key>CFBundleShortVersionString</key>
    <string>%s</string>
    <key>CFBundleExecutable</key>
    <string>LdapAdmin</string>
    <key>CFBundleIconFile</key>
    <string>icon.icns</string>
    <key>CFBundleIdentifier</key>
    <string>it.tranquil.ldapadmin</string>
    <key>NSHighResolutionCapable</key>
    <true/>
    <key>LSUIElement</key>
    <true/>
</dict>
</plist>"""
